MagickCore: delegate.h File Reference

# delegate.h File Reference

`#include "ghostscript/iapi.h"`
`#include "ghostscript/ierrors.h"`

Go to the source code of this file.

## Data Structures
struct | _GhostscriptVectors
struct | _DelegateInfo
## Defines
#define | MagickDLLCall
## Typedefs
typedef struct gs_main_instance_s | gs_main_instance
typedef struct _GhostscriptVectors | GhostscriptVectors
typedef struct _DelegateInfo | DelegateInfo
## Functions
MagickExport char * | GetDelegateCommand (const ImageInfo *, Image *, const char *, const char *, ExceptionInfo *)
MagickExport char *** | GetDelegateList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetDelegateCommands (const DelegateInfo *)
MagickExport const DelegateInfo * | GetDelegateInfo (const char *, const char *, ExceptionInfo *exception)
MagickExport const DelegateInfo *** | GetDelegateInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport long | GetDelegateMode (const DelegateInfo *)
MagickExport MagickBooleanType | GetDelegateThreadSupport (const DelegateInfo *)
MagickExport MagickBooleanType | InvokeDelegate (ImageInfo *, Image *, const char *, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | ListDelegateInfo (FILE *, ExceptionInfo *)
MagickExport void | DestroyDelegateList (void)

## Define Documentation

#define MagickDLLCall

## Typedef Documentation

typedef struct _DelegateInfo DelegateInfo

typedef struct _GhostscriptVectors GhostscriptVectors

typedef struct gs_main_instance_s gs_main_instance

## Function Documentation

MagickExport void DestroyDelegateList | ( | void |  | ) |

MagickExport char* GetDelegateCommand | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* GetDelegateCommands | ( | const DelegateInfo * |  | ) |

MagickExport const DelegateInfo* GetDelegateInfo | ( | const char * | ,
|  | const char * | ,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const DelegateInfo* ** GetDelegateInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char* ** GetDelegateList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport long GetDelegateMode | ( | const DelegateInfo * |  | ) |

MagickExport MagickBooleanType GetDelegateThreadSupport | ( | const DelegateInfo * |  | ) |

MagickExport MagickBooleanType InvokeDelegate | ( | ImageInfo * | ,
|  | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListDelegateInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |